Todo List: KDE Plasma LTS migration

2019-02-04 - Márcio Silva

As KDE Plasma (5.8 or 5.12) LTS follows the same goals than our packaging guidelines in stability and security concerns, we have decided to remove KDE Plasma and use KDE Plasma (5.8 or 5.12) LTS as our default provider of Desktop environment.

Every linked packages needs to be rebuild. There will likely be broken packages.

It is a todo list of packages that either have a direct dependency on KDE Plasma or link to KDE Plasma libraries.

Link to lists of pkgbase values:

Filter Todo List Packages

Select filter criteria
30 packages displayed out of 30 total packages.
Arch Repository Name Current Version Staging Version Maintainers Status Last Touched By
any Extra kde-development-environment-meta 20170224-1.hyperbola2 Incomplete
i686 Extra kdeplasma-addons 5.9.5-1 Incomplete
x86_64 Extra kdeplasma-addons 5.9.5-1 Incomplete
i686 Extra khotkeys Incomplete
x86_64 Extra khotkeys Incomplete
i686 Extra ktorrent 5.0.1-2 Incomplete
x86_64 Extra ktorrent 5.0.1-2 Incomplete
i686 Extra marble 17.04.0-1 Incomplete
x86_64 Extra marble 17.04.0-1 Incomplete
i686 Community openbox 3.6.1-3 Incomplete
x86_64 Community openbox 3.6.1-3 Incomplete
i686 Extra plasma-mediacenter 5.7.5-1 Incomplete
x86_64 Extra plasma-mediacenter 5.7.5-1 Incomplete
i686 Extra plasma-nm 5.9.5-1 Incomplete
x86_64 Extra plasma-nm 5.9.5-1 Incomplete
i686 Extra plasma-pa Incomplete
x86_64 Extra plasma-pa Incomplete
i686 Extra plasma-wayland-session 5.9.5.1-1.hyperbola2 Incomplete
x86_64 Extra plasma-wayland-session 5.9.5.1-1.hyperbola2 Incomplete
i686 Extra plasma-workspace 5.9.5.1-1.hyperbola2 Incomplete
x86_64 Extra plasma-workspace 5.9.5.1-1.hyperbola2 Incomplete
i686 Community plasma5-applets-active-window-control 1.7.1-1 Incomplete
x86_64 Community plasma5-applets-active-window-control 1.7.1-1 Incomplete
i686 Community plasma5-applets-weather-widget 1.6.9-1 Incomplete
x86_64 Community plasma5-applets-weather-widget 1.6.9-1 Incomplete
i686 Extra powerdevil 5.9.5-1 Incomplete
x86_64 Extra powerdevil 5.9.5-1 Incomplete
any Community python-pyperclip 1.5.27-2 Incomplete
i686 Extra telepathy-kde-desktop-applets 17.04.0-1 Incomplete
x86_64 Extra telepathy-kde-desktop-applets 17.04.0-1 Incomplete